SkinMarketCap API
Profiles

Get library summary

A summary of the games a Steam account owns and what they are worth. Costs 1 credit. Needs the Starter plan or above.

GET
/v1/profiles/{steamId}/library/summary

Authorization

x-api-key<token>

In: header

Path Parameters

steamId*string

A SteamID64, a Steam Community profile URL or a custom-URL (vanity) name.

Lengthlength <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/profiles/{steamId}/library/summary"
{  "gameCount": 10,  "totalValue": 7994,  "notOnStoreCount": 1,  "onSaleCount": 2,  "playtime": {    "totalMinutes": 4301,    "recentMinutes": 0,    "playedCount": 7  },  "achievements": {    "unlocked": 22,    "perfectGames": 0,    "averageCompletion": 3.04  }}